All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
columns_dot_self.hpp File Reference
`#include <stan/math/prim/mat/fun/Eigen.hpp>`
`#include <stan/math/prim/mat/fun/typedefs.hpp>`
`#include <stan/math/prim/mat/err/check_vector.hpp>`
`#include <stan/math/rev/core.hpp>`
`#include <stan/math/rev/mat/fun/typedefs.hpp>`
`#include <stan/math/rev/mat/fun/dot_self.hpp>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<int R, int C>
Eigen::Matrix< var, 1, C > | stan::math::columns_dot_self (const Eigen::Matrix< var, R, C > &x)
| Returns the dot product of each column of a matrix with itself. More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.